'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.api = undefined;

var _axios = require('axios');

var _axios2 = _interopRequireDefault(_axios);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var api = exports.api = {
  /**
   * Requests the data
   * @param {object} [httpClient = axios] the http client library
   * @returns {promise} a promise that returns the probes form /api/probes
  */
  fetchNotifications: function () {
    function fetchNotifications() {
      var httpClient = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _axios2['default'];

      return httpClient.get('/api/probes');
    }

    return fetchNotifications;
  }()
};