'use strict';

var _objectDestructuringEmpty2 = require('babel-runtime/helpers/objectDestructuringEmpty');

var _objectDestructuringEmpty3 = _interopRequireDefault(_objectDestructuringEmpty2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _enzyme = require('enzyme');

var _AppTypeProvider = require('./AppTypeProvider');

var _AppTypeProvider2 = _interopRequireDefault(_AppTypeProvider);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('renders children and supplies its children with the appType as context', function (t) {
  var wrapper = (0, _enzyme.mount)(_react2['default'].createElement(
    _AppTypeProvider2['default'],
    { appType: 'stub-app-type' },
    _react2['default'].createElement(TestComponent, null)
  ));

  var testComponent = wrapper.find('[data-role="test"]');
  t.is(testComponent.text(), 'stub-app-type');
});

var TestComponent = function TestComponent(_ref, _ref2) {
  var appType = _ref2.appType;
  (0, _objectDestructuringEmpty3['default'])(_ref);
  return _react2['default'].createElement(
    'div',
    { 'data-role': 'test' },
    appType
  );
};
TestComponent.contextTypes = {
  appType: _react.PropTypes.string
};