'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _actions = require('../actions');

var Actions = _interopRequireWildcard(_actions);

var _demoProbes = require('./demoProbes.json');

var _demoProbes2 = _interopRequireDefault(_demoProbes);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var PopulateNotifications = function PopulateNotifications(_ref) {
  var fetchNotificationsSuccess = _ref.fetchNotificationsSuccess;

  var onClick = function onClick() {
    fetchNotificationsSuccess(_demoProbes2['default']);
  };
  return _react2['default'].createElement(
    'div',
    null,
    _react2['default'].createElement(
      'button',
      { onClick: onClick },
      'Populate Notifications'
    )
  );
};

PopulateNotifications.propTypes = {
  fetchNotificationsSuccess: _react.PropTypes.func.isRequired
};

exports['default'] = (0, _reactRedux.connect)(function () {
  return {};
}, { fetchNotificationsSuccess: Actions.fetchNotificationsSuccess })(PopulateNotifications);