'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.hasNotifications = exports.noNotifications = exports.count = undefined;

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var probes = _ramda2['default'].prop('probes');

var count = exports.count = _ramda2['default'].compose(_ramda2['default'].length, probes);

var noNotifications = exports.noNotifications = _ramda2['default'].compose(_ramda2['default'].isEmpty, probes);

var hasNotifications = exports.hasNotifications = _ramda2['default'].compose(_ramda2['default'].not, noNotifications);

exports['default'] = { count: count, noNotifications: noNotifications, hasNotifications: hasNotifications };