'use strict';

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _reduxAva = require('redux-ava');

var _ActionTypes = require('../constants/ActionTypes');

var ActionTypes = _interopRequireWildcard(_ActionTypes);

var _index = require('./index');

var actions = _interopRequireWildcard(_index);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('fetchNotifications', (0, _reduxAva.actionTest)(actions.fetchNotifications, {}, { type: ActionTypes.FETCH_NOTIFICATIONS }));

(0, _ava2['default'])('fetchNotificationsRequested', (0, _reduxAva.actionTest)(actions.fetchNotificationsRequested, {}, { type: ActionTypes.FETCH_NOTIFICATIONS_REQUESTED }));

(0, _ava2['default'])('fetchNotificationsSuccess', (0, _reduxAva.actionTest)(actions.fetchNotificationsSuccess, {
  id: 1
}, {
  type: ActionTypes.FETCH_NOTIFICATIONS_SUCCESS,
  payload: {
    id: 1
  }
}));

(0, _ava2['default'])('fetchNotificationsFailure', (0, _reduxAva.actionTest)(actions.fetchNotificationsFailure, { error: 'error message' }, {
  type: ActionTypes.FETCH_NOTIFICATIONS_FAILURE,
  payload: {
    error: 'error message'
  }
}));

(0, _ava2['default'])('toggleMenu', (0, _reduxAva.actionTest)(actions.toggleMenu, {}, { type: ActionTypes.TOGGLE_MENU }));

(0, _ava2['default'])('hideMenu', (0, _reduxAva.actionTest)(actions.hideMenu, {}, { type: ActionTypes.HIDE_MENU }));

(0, _ava2['default'])('showMenu', (0, _reduxAva.actionTest)(actions.showMenu, {}, { type: ActionTypes.SHOW_MENU }));