'use strict';

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _ = require('./');

var _testdouble = require('testdouble');

var _testdouble2 = _interopRequireDefault(_testdouble);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('fetchNotifications fetches the list of probes for the current user from the API', function () {
  var getSpy = _testdouble2['default']['function']();
  var httpClient = { get: getSpy };

  _.api.fetchNotifications(httpClient);

  _testdouble2['default'].verify(getSpy('/api/probes'));
});