'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Dropdown = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactClickOutside = require('react-click-outside');

var _reactClickOutside2 = _interopRequireDefault(_reactClickOutside);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var Dropdown = exports.Dropdown = function (_Component) {
  (0, _inherits3['default'])(Dropdown, _Component);

  function Dropdown(props) {
    (0, _classCallCheck3['default'])(this, Dropdown);

    var _this = (0, _possibleConstructorReturn3['default'])(this, (Dropdown.__proto__ || (0, _getPrototypeOf2['default'])(Dropdown)).call(this, props));

    _this.state = {
      isOpened: false
    };
    _this.handleClick = _this.handleClick.bind(_this);
    return _this;
  }

  (0, _createClass3['default'])(Dropdown, [{
    key: 'handleClickOutside',
    value: function () {
      function handleClickOutside() {
        this.setState({ isOpened: false });
      }

      return handleClickOutside;
    }()
  }, {
    key: 'handleClick',
    value: function () {
      function handleClick(e) {
        e.preventDefault();
        this.setState({ isOpened: !this.state.isOpened });
      }

      return handleClick;
    }()
  }, {
    key: 'linkElement',
    value: function () {
      function linkElement() {
        return _react2['default'].cloneElement(this.props.link, { onClick: this.handleClick });
      }

      return linkElement;
    }()
  }, {
    key: 'render',
    value: function () {
      function render() {
        return _react2['default'].createElement(
          'div',
          { className: 'dropdown' },
          this.linkElement(),
          this.state.isOpened && this.props.children
        );
      }

      return render;
    }()
  }]);
  return Dropdown;
}(_react.Component);

Dropdown.propTypes = {
  link: _react.PropTypes.element.isRequired,
  children: _react.PropTypes.element.isRequired
};

exports['default'] = (0, _reactClickOutside2['default'])(Dropdown);