'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _enzyme = require('enzyme');

var _crowdlabReactTranslations = require('crowdlab-react-translations');

var _NotificationItemLayout = require('./NotificationItemLayout');

var _NotificationItemLayout2 = _interopRequireDefault(_NotificationItemLayout);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('Renders supplied children', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(
    _NotificationItemLayout2['default'],
    null,
    _react2['default'].createElement(
      'div',
      { 'data-role': 'test-child' },
      'test'
    )
  ));

  var child = wrapper.find('[data-role="test-child"]');

  t.is(child.length, 1);
  t.is(child.text(), 'test');
});

(0, _ava2['default'])('Has notifications header', function (t) {
  var wrapper = (0, _enzyme.mount)((0, _crowdlabReactTranslations.injectTranslations)(_react2['default'].createElement(
    _NotificationItemLayout2['default'],
    null,
    _react2['default'].createElement(
      'div',
      { 'data-role': 'test-child' },
      'test'
    )
  ), { 'notifications.title': 'test title' }));

  var title = wrapper.find('[data-role="notifications-title"]');

  t.is(title.text(), 'test title');
});