'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _enzyme = require('enzyme');

var _NotificationsBell = require('./NotificationsBell');

var _NotificationsBell2 = _interopRequireDefault(_NotificationsBell);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('it renders an icon with paths', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsBell2['default'], defaultProps));

  var bellIcon = wrapper.find('[data-role="icon"]');
  var bellPath = wrapper.find('[data-role="path"]');

  t.is(bellIcon.length, 1);
  t.is(bellPath.length, 1);
});

(0, _ava2['default'])('When it has some notifications has active class modifier', function (t) {
  var hasNotifications = true;
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsBell2['default'], (0, _extends3['default'])({}, defaultProps, { hasNotifications: hasNotifications })));

  t.is(wrapper.prop('className'), 'notifications-bell notifications-bell--active');
});

(0, _ava2['default'])('When there are no notifications has no active modifier', function (t) {
  var hasNotifications = false;
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsBell2['default'], (0, _extends3['default'])({}, defaultProps, { hasNotifications: hasNotifications })));

  t.is(wrapper.prop('className'), 'notifications-bell');
});

var defaultProps = {
  hasNotifications: false
};