'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NotificationsProvider = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _actions = require('../actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NotificationsProvider = exports.NotificationsProvider = function NotificationsProvider(_ref) {
  var children = _ref.children,
      closeMenu = _ref.closeMenu;
  return _react2['default'].createElement(
    'div',
    { onClick: closeMenu },
    children
  );
};

NotificationsProvider.propTypes = {
  children: _react.PropTypes.node.isRequired,
  closeMenu: _react.PropTypes.func.isRequired
};

exports['default'] = (0, _reactRedux.connect)(function () {
  return {};
}, { closeMenu: _actions.hideMenu })(NotificationsProvider);