'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _testdouble = require('testdouble');

var _testdouble2 = _interopRequireDefault(_testdouble);

var _enzyme = require('enzyme');

var _NotificationsProvider = require('./NotificationsProvider');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('it renders a notifications menu', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(
    _NotificationsProvider.NotificationsProvider,
    defaultProps,
    _react2['default'].createElement(
      'div',
      { 'data-role': 'test-child' },
      'test'
    )
  ));

  var child = wrapper.find('[data-role="test-child"]');

  t.is(child.length, 1);
  t.is(child.text(), 'test');
});

(0, _ava2['default'])('when it is clicked calls closeMenu', function () {
  var closeMenuSpy = _testdouble2['default']['function']();
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(
    _NotificationsProvider.NotificationsProvider,
    (0, _extends3['default'])({}, defaultProps, { closeMenu: closeMenuSpy }),
    _react2['default'].createElement(
      'div',
      { 'data-role': 'test-child' },
      'test'
    )
  ));

  wrapper.simulate('click');

  _testdouble2['default'].verify(closeMenuSpy());
});

var defaultProps = {
  closeMenu: function () {
    function closeMenu() {}

    return closeMenu;
  }()
};