'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _actions = require('../actions');

var Actions = _interopRequireWildcard(_actions);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var PopulateNotifications = function PopulateNotifications(_ref) {
  var fetchNotificationsSuccess = _ref.fetchNotificationsSuccess;

  var onClick = function onClick() {
    fetchNotificationsSuccess({
      probes: [{
        id: 1,
        messages: [{
          authorId: 2,
          sentAt: '2014-08-19T14:10:00+00:00',
          text: 'Pinball Wizard'
        }]
      }, {
        id: 2,
        messages: [{
          authorId: 2,
          sentAt: '2016-08-19T14:10:00+00:00',
          text: 'My Generation'
        }]
      }, {
        id: 3,
        messages: [{
          authorId: 2,
          sentAt: '2016-08-19T14:10:00+00:00',
          text: 'Baba O\'Reily'
        }]
      }, {
        id: 4,
        messages: [{
          authorId: 2,
          sentAt: '2015-08-19T14:10:00+00:00',
          text: 'Who are you?'
        }]
      }, {
        id: 5,
        messages: [{
          authorId: 2,
          sentAt: '2016-07-19T14:10:00+00:00',
          text: 'Won\'t get fooled again'
        }]
      }, {
        id: 6,
        messages: [{
          authorId: 2,
          sentAt: '2016-08-19T14:10:00+00:00',
          text: 'I can see for miles'
        }]
      }],
      authors: [{
        id: 2,
        nickname: 'Pete Townsend',
        avatar: 'image.jpg',
        type: 'participant'
      }]
    });
  };
  return _react2['default'].createElement(
    'div',
    null,
    _react2['default'].createElement(
      'button',
      { onClick: onClick },
      'Populate Notifications'
    )
  );
};

PopulateNotifications.propTypes = {};

exports['default'] = (0, _reactRedux.connect)(function () {
  return {};
}, { fetchNotificationsSuccess: Actions.fetchNotificationsSuccess })(PopulateNotifications);