'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sagaMiddleware = undefined;

var _redux = require('redux');

var _reduxSaga = require('redux-saga');

var _reduxSaga2 = _interopRequireDefault(_reduxSaga);

var _reducers = require('../reducers');

var _reducers2 = _interopRequireDefault(_reducers);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var sagaMiddleware = exports.sagaMiddleware = (0, _reduxSaga2['default'])();

var configureStore = function configureStore(initialState) {
  return (0, _redux.createStore)(_reducers2['default'], initialState, (0, _redux.compose)((0, _redux.applyMiddleware)(sagaMiddleware), window.devToolsExtension ? window.devToolsExtension() : function (f) {
    return f;
  }));
};

exports['default'] = configureStore;