'use strict';

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _modify = require('./modify');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('when modified is false, returns the blockname and the constant modifier', function (t) {
  var output = (0, _modify.bemModify)('active', 'bold', false)('block');

  t.is(output, 'block block--active');
});

(0, _ava2['default'])('when modified is true, returns the block, constant modifier and optional modifier', function (t) {
  var output = (0, _modify.bemModify)('active', 'bold', true)('block');

  t.is(output, 'block block--active block--bold');
});

(0, _ava2['default'])('when modifier is an empty string, returns only the block', function (t) {
  var output = (0, _modify.bemModify)('', '', false)('block');

  t.is(output, 'block');
});

(0, _ava2['default'])('when modifier is undefined, returns only the block', function (t) {
  var output = (0, _modify.bemModify)(undefined, '', false)('block');

  t.is(output, 'block');
});

(0, _ava2['default'])('when modifier is undefined, and optional is true, returns the block and the optional', function (t) {
  var output = (0, _modify.bemModify)(undefined, 'bold', true)('block');

  t.is(output, 'block block--bold');
});